Subject: Re: bug#16884: 24.3.50; desktop-read should not die on non-existing directories

From: Glenn Morris <[email-masked]>
Date: Wed, 26 Feb 2014 14:22:13 -0500

Juanma Barranquero wrote:

>> But dired-restore-desktop-buffer should trap the "glob match fails" case
>> in just the same way as it traps the "no such directory" case.
>
> Yes, if (dired "/nonexistent") errors out, we should catch it when
> restoring desktop.el. And it shouldn't ever be a with-demoted-errors,
> failing to restore buffers in desktop.el is quite silent, just a
> message at the end "X frames, Y buffers restored, Z failed to
> restore."

If you've got time to implement this nicety, go for it.
I just went with with-demoted-errors, with is consistent with the
existing "no such directory" case.